<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddInventoryAccountsStatus extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('inventory_accounts', function (Blueprint $table) {
            $table->enum('status',['待盘点','盘点中','复盘中','已完成','已审核'])->nullable()->default(null)->comment('盘点状态');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('inventory_accounts', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
}
